6.0.0-git
2019-05-26

[#280] Accepting mail
Summary Accepting mail
Queue Whups
Type Enhancement
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester taco (at) scheltema (dot) org
Created 2004-06-10 (5463 days ago)
Due
Updated 2005-06-30 (5078 days ago)
Assigned 2005-03-04 (5196 days ago)
Resolved 2005-06-30 (5078 days ago)
Milestone
Patch No

History
2005-06-30 00:36:12 Chuck Hagenbuch Comment #8
State ⇒ Resolved
Reply to this comment
I've committed parts of these patches that I was able to clean up and 
that implement the initial ticket features. I did commit some of the 
VFS patches as well, but did not include the relevant whups changes 
for those. If you are interested in cleaning up and submitting them to 
the list seperately, that's fine.
2005-03-23 21:58:41 Chuck Hagenbuch Deleted Original Message
 
2005-03-23 21:58:35 Chuck Hagenbuch Deleted Original Message
 
2005-03-23 21:57:30 Chuck Hagenbuch Deleted Original Message
 
2005-03-23 09:04:40 a (dot) bruinsma (at) tools4ever (dot) com Comment #7
New Attachment: whups_mailpatch.tar[1].gz
Reply to this comment
Herby a more exchanged patch for whups. This patch takes care of horde 
mail handeling. The patch is made such a way, that it does not 
allocate lots of memory when parsing big mails (like 10MB) it uses 
files in the temp folder to parse the e-mails. So the mail handeling 
and parsing will still work, even when you have set your memory limits 
in PHP. To download this big files (view.php in horde), also VFS needs 
to be patched. A patch for VFS/file and VFS/sql is included. The 
VFS/file is tested, sql is not, because I do not use the SQL backend 
while handeling big files. SQL support however is nessacary when you 
patch view.php and use SQL as backend. Could somebody test this?



This patch off course handles also replies to e-mails.



So the other 2 attachments I posted can be removed (Can someone remove them??)



Greetings,



Auke.



ps. When u use SpamAssassin and it puts its headers in the e-mail you 
need a SPAM queue, because this patch redirects the spam e-mails to 
the SPAM queue instead of the given queue. I will open a new ticket 
with a patch to easily delete those messages.


2005-03-23 09:04:15 a (dot) bruinsma (at) tools4ever (dot) com Comment #6
New Attachment: whups_mailpatch.tar.gz Download
Reply to this comment
Herby a more exchanged patch for whups. This patch takes care of horde 
mail handeling. The patch is made such a way, that it does not 
allocate lots of memory when parsing big mails (like 10MB) it uses 
files in the temp folder to parse the e-mails. So the mail handeling 
and parsing will still work, even when you have set your memory limits 
in PHP. To download this big files (view.php in horde), also VFS needs 
to be patched. A patch for VFS/file and VFS/sql is included. The 
VFS/file is tested, sql is not, because I do not use the SQL backend 
while handeling big files. SQL support however is nessacary when you 
patch view.php and use SQL as backend. Could somebody test this?



This patch off course handles also replies to e-mails.



So the other 2 attachments I posted can be removed (Can someone remove them??)



Greetings,



Auke.



ps. When u use SpamAssassin and it puts its headers in the e-mail you 
need a SPAM queue, because this patch redirects the spam e-mails to 
the SPAM queue instead of the given queue. I will open a new ticket 
with a patch to easily delete those messages.


2005-03-04 12:25:36 air2 (at) dds (dot) nl Comment #5
New Attachment: Mail[1].php
Reply to this comment
I made a little improvement, to handle text attachment correctly and 
put inline html as attachment. Also it parses multiple attachments 
correctly.



Re: does not have to be in the subject to detect it as a reply, only 
"Tickets #" needs to be in the subject field.
2005-03-04 10:01:07 Jan Schneider State ⇒ Assigned
Assigned to Horde DevelopersHorde Developers
 
2005-03-04 07:12:44 air2 (at) dds (dot) nl Comment #4
New Attachment: Mail.php
Reply to this comment
Hmm just made such a thing  and e-mailed it to jfelice (at) cronosys 
(dot) com. It's very rudimentair. But it works mostly :). So it could 
be a starting point. It also handles attachments.
2005-02-18 21:59:09 Jan Schneider Comment #3
Taken from eraserhd
Taken from Chuck Hagenbuch
State ⇒ Accepted
Reply to this comment
2004-06-10 13:54:36 Chuck Hagenbuch Comment #2
State ⇒ Assigned
Priority ⇒ 1. Low
Assigned to Chuck Hagenbuch
Assigned to eraserhd
Reply to this comment
Would be a great feature, yes, and something I've been wanting to do.
2004-06-10 07:50:19 taco (at) scheltema (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Queue ⇒ Whups
Reply to this comment
It would be a nice feature to have a 'listener script' that accepts 
mime messages and adds them to whups, similar to the mail-filter.php 
script that I found in the HEAD distribution. the idea would be to 
pipe all mail to a certain address through this script using a 
.forward or .qmail (depending on your mailserver of course).

This script should use the [Tickets #x] in the subject of the mail to 
determine if the mail is a response to an existing ticket, if the 
subject doesn't contain a [Tickets #x] field it should be considered a 
new ticket.



Opening new tickets like this would introduce a new problem though, 
they can't be assigned to an existing queue. maybe have an extra queue 
to catch tickets without a queue?


Saved Queries